<#-- $This file is distributed under the terms of the license in LICENSE$  -->

<@widget name="login" include="assets" />

<#--
        With release 1.6, the home page no longer uses the "browse by" class group/classes display.
        If you prefer to use the "browse by" display, replace the import statement below with the
        following include statement:

            <#include "browse-classgroups.ftl">

        Also ensure that the homePage.geoFocusMaps flag in the runtime.properties file is commented
        out.
-->
<#import "lib-home-page.ftl" as lh>

<!DOCTYPE html>
<html lang="en">
    <head>
        <#include "head.ftl">
        <#if geoFocusMapsEnabled >
            <#include "geoFocusMapScripts.ftl">
        </#if>
        <script async type="text/javascript" src="${urls.base}/js/homePageUtils.js?version=x"></script>
    </head>

    <body class="${bodyClasses!}" onload="${bodyOnload!}">
    <#-- supplies the faculty count to the js function that generates a random row number for the search query -->
        <@lh.facultyMemberCount  vClassGroups! />
        <#include "identity.ftl">

        <#include "menu.ftl">

        <section id="intro" role="region">
           <#-- <h2>${i18n().intro_title}</h2>

            <p>${i18n().intro_para1}</p>
            <p>${i18n().intro_para2}</p> -->


            <section id="search-home" role="region">
                <h3>Поиск<span class="search-filter-selected">filteredSearch</span></h3>

                <fieldset>
                    <legend>${i18n().search_form}</legend>
                </fieldset>
                <#include "searchSelector.ftl">
            </section> <!-- #search-home -->
<div id="collectionDescription">          <p class="Standard" dir="ltr" style="border:none; font-size:1.145833rem; margin-bottom:1.0425rem; margin-left:0; margin-right:0; margin-top:0; padding:0; text-align:justify" align="justify"><span class="PTSerif" style="font-family:&quot;PT Serif&quot;, serif"><span style="font-family:'PT Serif',serif;font-weight:bold;font-size:1.3541667rem">Электронная Философская Энциклопедия</span><span style="font-family:'PT Serif',serif;font-size:1.3541667rem"> (ЭФЭ) — открытый научно-исследовательский проект Института философии РАН, ставящий своей целью анализ и систематизацию достижений философских наук за последние десятилетия, создание на этой основе обобщающей картины развития философской мысли в мире во всем ее тематическом и содержательном многообразии. В отличие от прежних энциклопедических изданий, ЭФЭ призвана рассмотреть достижения философии прошлого сквозь призму современных дискуссий, отразить новейшие результаты исследований российских учёных и актуальные тенденции гуманитарного знания. Она нацелена на обобщающий взгляд, который не только фиксирует многообразие имен, понятий, терминов, школ и произведений мировой философии, но, прежде всего, выявляет ее сложную, противоречивую и плюралистичную целостность. Одной из ее доминант является преодоление европоцентризма в понимании философии, всечеловеческое расширение духовного горизонта. Создаваемая ведущими специалистами, ЭФЭ должна способствовать повышению философской культуры общества, стать надежным и авторитетным источником информации, составив конкуренцию всевозможным "пиратским" сайтам, бездумно копирующим сведения из неизвестных и непроверенных источников. Как полноценное электронное издание с выходными данными и закрепленными за отдельными статьями DOI, ЭФЭ позволит специалистам представлять результаты своих исследований в виде энциклопедических статей.</span></span></p>
    <p class="Textbody" dir="ltr" style="border:none; font-size:1.354167rem; margin-bottom:0.729rem; margin-left:0; margin-right:0; margin-top:0; padding:0; text-align:center; font-family:&quot;PT Serif&quot;, serif; font-style:italic; font-weight:bold" align="center">Редакционно-издательский совет</p>
    <p class="Textbody" dir="ltr" style="border:none; font-size:1.354167rem; margin-bottom:0.729rem; margin-left:0; margin-right:0; margin-top:0; padding:0; text-align:center; font-family:&quot;PT Serif&quot;, serif" align="center">А.А. Гусейнов, В.А. Лекторский, А.В. Смирнов, С.В. Месяц</p>
    <p class="Textbody" dir="ltr" style="border:none; font-size:1.354167rem; margin-bottom:0.729rem; margin-left:0; margin-right:0; margin-top:0; padding:0; text-align:center; font-family:&quot;PT Serif&quot;, serif; font-style:italic; font-weight:bold" align="center">Редколлегия</p>
    <p class="Textbody" dir="ltr" style="border:none; font-size:1.354167rem; margin-bottom:0.729rem; margin-left:0; margin-right:0; margin-top:0; padding:0; text-align:center; font-family:&quot;PT Serif&quot;, serif" align="center">Н.С. Автономова, Р.Г. Апресян, В.В. Бычков, В.Г. Буданов, В.В. Васильев,<br>П.А. Гаджикурбанова, А.Л. Доброхотов, А.А. Кара-Мурза, И.Т. Касавин,<br>В.Г. Лысенко, М.А. Маслин, В.В. Миронов, Н.В. Мотрошилова,<br>В.А. Подорога, Ю.В. Синеокая, М.Т. Степанянц, В.Г. Федотова,<br>В.К. Шохин, А.В. Черняев</p>
    <p class="Textbody" dir="ltr" style="border:none; font-size:1.354167rem; margin-bottom:0.729rem; margin-left:0; margin-right:0; margin-top:0; padding:0; text-align:center; font-family:&quot;PT Serif&quot;, serif; font-style:italic; font-weight:bold" align="center">Экспертный совет</p>
    <p class="Textbody" dir="ltr" style="border:none; font-size:1.354167rem; margin-bottom:0.729rem; margin-left:0; margin-right:0; margin-top:0; padding:0; text-align:center; font-family:&quot;PT Serif&quot;, serif" align="center">Р.Г. Апресян, В.Г. Буданов, Г.В. Вдовина, И.Д. Джохадзе, Л.Б. Карелова,<br>В.Г. Лысенко, Н.Б. Маньковская, А.В. Павлов, В.В. Петров,<br>С.Ю. Рыков, Ю.В. Синеокая, М.А. Солопова, Ю.Е. Федорова,<br>В.И. Шалак, В.К. Шохин, А.В. Черняев</p>
    <p class="Textbody" dir="ltr" style="border:none; font-size:1.354167rem; margin-bottom:0.729rem; margin-left:0; margin-right:0; margin-top:0; padding:0; text-align:center; font-family:&quot;PT Serif&quot;, serif; font-style:italic; font-weight:bold" align="center">Научный редактор</p>
    <p class="Textbody" dir="ltr" style="border:none; font-size:1.354167rem; margin-bottom:0.729rem; margin-left:0; margin-right:0; margin-top:0; padding:0; text-align:center; font-family:&quot;PT Serif&quot;, serif" align="center">Ю.Н. Попов</p>
    <p class="Textbody" dir="ltr" style="border:none; font-size:1.354167rem; margin-bottom:0.729rem; margin-left:0; margin-right:0; margin-top:0; padding:0; text-align:center; font-family:&quot;PT Serif&quot;, serif; font-style:italic; font-weight:bold" align="center">Научно-техническая редакция</p>
    <p class="Textbody" dir="ltr" style="border:none; font-size:1.354167rem; margin-bottom:0.729rem; margin-left:0; margin-right:0; margin-top:0; padding:0; text-align:center; font-family:&quot;PT Serif&quot;, serif" align="center">М.В. Егорочкин, Г.В. Литвинов, С.Л. Гурко, С.В. Лаврентьева</p>
    <table dir="ltr" id="1table" style="margin-top:0;margin-bottom:0;margin-left:auto;margin-right:auto;width:100%;border-collapse:separate;border-spacing:0;table-layout:fixed">
      <colgroup>
        <col style="width:49.87872%">
        <col style="width:50.12128%">
      </colgroup>
      <tbody>
        <tr>
          <td style="border:none;padding:0;vertical-align:top">
            <p class="TableContents" dir="ltr" style="border:none; font-size:1.25rem; margin-bottom:1.0425rem; margin-left:1.47375rem; margin-right:1.47375rem; margin-top:0; padding:0; text-align:justify; background-color:transparent; font-family:&quot;PT Serif&quot;, serif; text-indent:0" align="justify"><span style="font-weight:bold" xml:lang="en-US" lang="en-US">ISSN</span><span style="font-weight:bold"> (</span><span style="font-weight:bold" xml:lang="en-US" lang="en-US">Online</span><span style="font-weight:bold">): </span><span style="font-weight:normal">2658-7092</span></p>
            <p class="TableContents" dir="ltr" style="border:none; font-size:1.25rem; margin-bottom:1.0425rem; margin-left:1.47375rem; margin-right:1.47375rem; margin-top:0; padding:0; text-align:justify; background-color:transparent; font-family:&quot;PT Serif&quot;, serif; text-indent:0" align="justify"><span style="font-weight:bold">Учредитель и издатель:</span> Федеральное государственное бюджетное учреждение науки Институт философии Российской Академии наук.</p>
            <p class="TableContents" dir="ltr" style="border:none; font-size:1.25rem; margin-bottom:1.0425rem; margin-left:1.47375rem; margin-right:1.47375rem; margin-top:0; padding:0; text-align:justify; background-color:transparent; font-family:&quot;PT Serif&quot;, serif; text-indent:0" align="justify"><span style="font-weight:bold">Периодичность: </span>4 раза в год. Выходит с 2018 г.</p>
            <p class="TableContents" dir="ltr" style="border:none; font-size:1.25rem; margin-bottom:1.0425rem; margin-left:1.47375rem; margin-right:1.47375rem; margin-top:0; padding:0; text-align:justify; background-color:transparent; font-family:&quot;PT Serif&quot;, serif; text-indent:0" align="justify"><span style="font-weight:bold">Адрес учредителя и издателя</span>: Российская Федерация, 109240, г. Москва, ул. Гончарная, д. 12, стр. 1.</p>
            <p class="TableContents" dir="ltr" style="border:none; font-size:1.354167rem; margin-bottom:1.0425rem; margin-left:1.47375rem; margin-right:1.47375rem; margin-top:0; padding:0; text-align:justify; background-color:transparent; font-family:&quot;PT Serif&quot;, serif; text-indent:0" align="justify"><span style="font-weight:bold;font-size:1.25rem">Сайт: </span><a class="Internet20link" href="http://www.elenph.org/" style=":link{color:#000080; text-decoration:underline}"><span style="font-size:1.25rem" xml:lang="en-US" lang="en-US">www</span></a><a class="Internet20link" href="http://www.elenph.org/" style=":link{color:#000080; text-decoration:underline}"><span style="font-size:1.25rem">.</span></a><a class="Internet20link" href="http://www.elenph.org/" style=":link{color:#000080; text-decoration:underline}"><span style="font-size:1.25rem" xml:lang="en-US" lang="en-US">elenph</span></a><a class="Internet20link" href="http://www.elenph.org/" style=":link{color:#000080; text-decoration:underline}"><span style="font-size:1.25rem">.</span></a><a class="Internet20link" href="http://www.elenph.org/" style=":link{color:#000080; text-decoration:underline}"><span style="font-size:1.25rem" xml:lang="en-US" lang="en-US">org</span></a></p>
          </td>
          <td style="border:none;padding:0;vertical-align:top">
            <p class="TableContents" dir="ltr" style="border:none; font-size:1.25rem; margin-bottom:1.0425rem; margin-left:1.47375rem; margin-right:1.47375rem; margin-top:0; padding:0; text-align:justify; background-color:transparent; font-family:&quot;PT Serif&quot;, serif; text-indent:0" align="justify"><span style="font-weight:bold">Энциклопедия зарегистрирована</span> Федеральной службой по надзору в сфере связи, информационных технологий и массовых коммуникаций (Роскомнадзор). Свидетельство о регистрации СМИ: <span style="font-style:italic">серия ЭЛ № ФС77 -74569 </span>от 14.12.2018. </p>
            <p class="TableContents" dir="ltr" style="border:none; font-size:1.25rem; margin-bottom:1.0425rem; margin-left:1.47375rem; margin-right:1.47375rem; margin-top:0; padding:0; text-align:justify; background-color:transparent; font-family:&quot;PT Serif&quot;, serif; text-indent:0" align="justify"><span style="font-weight:bold">Энциклопедия включена в: </span>базу <span xml:lang="en-US" lang="en-US">ROAD</span> (справочник электронных научных ресурсов с полностью открытым доступом к статьям).</p>
          </td>
        </tr>
      </tbody>
    </table></div>
        </section> <!-- #intro -->

        

        <!-- List of research classes: e.g., articles, books, collections, conference papers -->
       <#-- <@lh.researchClasses /> -->

        <!-- List of four randomly selected faculty members -->
     <#--   <@lh.facultyMbrHtml /> -->

        <!-- List of randomly selected academic departments -->
     <#--   <@lh.academicDeptsHtml /> -->

        <#if geoFocusMapsEnabled >
            <!-- Map display of researchers' areas of geographic focus. Must be enabled in runtime.properties -->
            <@lh.geographicFocusHtml />
        </#if>

        <!-- Statistical information relating to property groups and their classes; displayed horizontally, not vertically-->
        <@lh.allClassGroups vClassGroups! />

        <#include "footer.ftl">
        <#-- builds a json object that is used by js to render the academic departments section -->
        <@lh.listAcademicDepartments />
    <script>
        var i18nStrings = {
            researcherString: '${i18n().researcher}',
            researchersString: '${i18n().researchers}',
            currentlyNoResearchers: '${i18n().currently_no_researchers}',
            countriesAndRegions: '${i18n().countries_and_regions}',
            countriesString: '${i18n().countries}',
            regionsString: '${i18n().regions}',
            statesString: '${i18n().map_states_string}',
            stateString: '${i18n().map_state_string}',
            statewideLocations: '${i18n().statewide_locations}',
            researchersInString: '${i18n().researchers_in}',
            inString: '${i18n().in}',
            noFacultyFound: '${i18n().no_faculty_found}',
            placeholderImage: '${i18n().placeholder_image}',
            viewAllFaculty: '${i18n().view_all_faculty}',
            viewAllString: '${i18n().view_all}',
            viewAllDepartments: '${i18n().view_all_departments}',
            noDepartmentsFound: '${i18n().no_departments_found}'
        };
        // set the 'limmit search' text and alignment
        if  ( $('input.search-homepage').css('text-align') == "right" ) {
             $('input.search-homepage').attr("value","${i18n().limit_search} \u2192");
        }
    </script>
    </body>
</html>
